Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals

# core.c File Reference

Core and miscellaneous routines. More...

`#include "config.h"`
`#include <assert.h>`
`#include <discover/discover.h>`
`#include <discover/discover-xml.h>`
`#include <discover/utils.h>`

Go to the source code of this file.

## Functions
discover_error_t * | discover_error_new (void)
void * | _discover_create_message (discover_error_t **status, char *message)
void | discover_error_free (discover_error_t *status)
char * | discover_strerror (discover_error_t *err)
int | discover_major_version (void)
int | discover_minor_version (void)
int | discover_micro_version (void)

## Detailed Description

Core and miscellaneous routines.

This file provides core routines that don't really fit anyplace else. There are likely some other routines that really should be in here.

Definition in file core.c.